Bug 1251700 - Building requirement on python-sphinx should be conditional for when with_docs = 0
Building requirement on python-sphinx should be conditional for when with_doc...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-nose (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-08 19:31 EDT by Leonard den Ottolander
Modified: 2016-09-19 22:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-09 13:53:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Conditional dependency on python-sphinx (346 bytes, patch)
2015-08-08 19:31 EDT, Leonard den Ottolander
no flags Details | Diff

  None (edit)
Description Leonard den Ottolander 2015-08-08 19:31:31 EDT
Created attachment 1060661 [details]
Conditional dependency on python-sphinx

To fix the circular build dependency between python-nose and python-sphinx a flag with_docs was added to the python-nose spec file to be able to build python-nose without the dependency on python-sphinx.

However, a condition to remove this dependency on python-sphinx was not added.
Comment 1 Kevin Fenzi 2015-08-09 13:53:14 EDT
Looks good. I have added this to the rawhide package. 

Let us know if you need any older releases...

Note You need to log in before you can comment on or make changes to this bug.